{
    "name": "{{ item.1.name }}",
    "config":
    {
       
        {% if item.1.tasks is defined and item.1.tasks|length %}
        "tasks.max": "{{ item.1.tasks }}",
        {% endif %}
        {% if item.1.hdfsurl is defined and item.1.hdfsurl|length %}
        "store.url": "{{ item.1.hdfsurl }}",
        {% endif %}
        {% if item.1.storageformat is defined and item.1.storageformat|length %}
        {% if item.1.storageformat == 'parquet' %} 
        "format.class": "io.confluent.connect.hdfs2.format.parquet.ParquetFormat",
        {% elif item.1.storageformat == 'avro' %}
        "format.class": "io.confluent.connect.hdfs2.format.avro.AvroFormat",
        {% elif item.1.storageformat == 'json' %}
        "format.class": "io.confluent.connect.hdfs2.format.json.JsonFormat" ,        
        {% endif %}  
        {% else %}
        "format.class": "io.confluent.connect.hdfs2.format.string.StringFormat",  
        {% endif %}
        {% if item.1.topics_dir is defined and item.1.topics_dir|length %}
        "topics.dir": "{{ item.1.topics_dir }}",
        {% endif %}
        "connector.class": "io.confluent.connect.hdfs2.Hdfs2SourceConnector",
        "transforms": "AddPrefix",
        "transforms.AddPrefix.type": "org.apache.kafka.connect.transforms.RegexRouter",
        "transforms.AddPrefix.regex": ".*",
        "transforms.AddPrefix.replacement": "copy_of_$0"
       
    }
}
